interface TestEnvironment {
    ipfs: string;
    ethereum: string;
    ensAddress: string;
    registrarAddress: string;
    reverseAddress: string;
    resolverAddress: string;
}
export declare const initTestEnvironment: (cli?: string | undefined) => Promise<TestEnvironment>;
export declare const stopTestEnvironment: (cli?: string | undefined) => Promise<void>;
export declare const runCLI: (options: {
    args: string[];
    cwd?: string;
    cli?: string;
}) => Promise<{
    exitCode: number;
    stdout: string;
    stderr: string;
}>;
export declare function buildAndDeployApi(apiAbsPath: string, ipfsProvider: string, ensAddress: string): Promise<{
    ensDomain: string;
    ipfsCid: string;
}>;
export declare const generateName: () => string;
export {};
